Package: org.codehaus.groovy.reflection

## [Java] Class ParameterTypes

- org.codehaus.groovy.reflection.ParameterTypes

-     public class ParameterTypes
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `isVargsMethod` |
    `protected Class[]` | `nativeParamTypes` |
    `protected CachedClass[]` | `parameterTypes` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ParameterTypes()`
    `ParameterTypes(Class[] pt)`
    `ParameterTypes(String[] pt)`
    `ParameterTypes(CachedClass[] parameterTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final Object[]` | `coerceArgumentsToClasses(Object[] argumentArray)`
    `` | `public Object[]` | `correctArguments(Object[] argumentArray)`
    `` | `public Class[]` | `getNativeParameterTypes()`
    `` | `protected Class[]` | `getPT()`
    `` | `public CachedClass[]` | `getParameterTypes()`
    `` | `public boolean` | `isValidExactMethod(Object[] args)`
    `` | `public boolean` | `isValidExactMethod(Class[] args)`
    `` | `public boolean` | `isValidMethod(Class[] argumentTypes)`
    `` | `public boolean` | `isValidMethod(Object[] arguments)`
    `` | `public boolean` | `isVargsMethod()`
    `` | `public boolean` | `isVargsMethod(Object[] arguments)`
    `` | `protected final void` | `setParametersTypes(CachedClass[] pt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected boolean isVargsMethod

    - #### protected Class[] nativeParamTypes

    - #### protected CachedClass[] parameterTypes

  - ### Constructor Detail

    - #### public ParameterTypes()

    - #### public ParameterTypes(Class[] pt)

    - #### public ParameterTypes(String[] pt)

    - #### public ParameterTypes(CachedClass[] parameterTypes)

  - ### Method Detail

    - #### public final Object[] coerceArgumentsToClasses(Object[] argumentArray)

    - #### public Object[] correctArguments(Object[] argumentArray)

    - #### public Class[] getNativeParameterTypes()

    - #### protected Class[] getPT()

    - #### public CachedClass[] getParameterTypes()

    - #### public boolean isValidExactMethod(Object[] args)

    - #### public boolean isValidExactMethod(Class[] args)

    - #### public boolean isValidMethod(Class[] argumentTypes)

    - #### public boolean isValidMethod(Object[] arguments)

    - #### public boolean isVargsMethod()

    - #### public boolean isVargsMethod(Object[] arguments)

    - #### protected final void setParametersTypes(CachedClass[] pt)